import './media/sidebarpart.css.js';
import { localize2WithPath } from 'vscode/vscode/vs/nls';
import { Action2, registerAction2 } from 'vscode/vscode/vs/platform/actions/common/actions';
import { IWorkbenchLayoutService } from 'vscode/vscode/vs/workbench/services/layout/browser/layoutService.service';
import { Categories } from 'vscode/vscode/vs/platform/action/common/actionCommonCategories';
import { IPaneCompositePartService } from 'vscode/vscode/vs/workbench/services/panecomposite/browser/panecomposite.service';

const _moduleId = "vs/workbench/browser/parts/sidebar/sidebarActions";
class FocusSideBarAction extends Action2 {
    constructor() {
        super({
            id: 'workbench.action.focusSideBar',
            title: ( localize2WithPath(_moduleId, 0, 'Focus into Primary Side Bar')),
            category: Categories.View,
            f1: true,
            keybinding: {
                weight: 200 ,
                when: null,
                primary: 2048  | 21
            }
        });
    }
    async run(accessor) {
        const layoutService = accessor.get(IWorkbenchLayoutService);
        const paneCompositeService = accessor.get(IPaneCompositePartService);
        if (!layoutService.isVisible("workbench.parts.sidebar" )) {
            layoutService.setPartHidden(false, "workbench.parts.sidebar" );
            return;
        }
        const viewlet = paneCompositeService.getActivePaneComposite(0 );
        viewlet?.focus();
    }
}
registerAction2(FocusSideBarAction);

export { FocusSideBarAction };
