import { localizeWithPath } from 'vscode/vscode/vs/nls';
import { Extensions as Extensions$1 } from 'vscode/vscode/vs/platform/configuration/common/configurationRegistry';
import { Registry } from 'vscode/vscode/vs/platform/registry/common/platform';
import { workbenchConfigurationNodeBase } from 'vscode/vscode/vs/workbench/common/configuration';
import { Extensions } from 'vscode/vscode/vs/workbench/common/contributions';
import { SashSettingsController } from './sash.js';
import { isIOS } from 'vscode/vscode/vs/base/common/platform';

const _moduleId = "vs/workbench/contrib/sash/browser/sash.contribution";
( (Registry.as(Extensions.Workbench)))
    .registerWorkbenchContribution(SashSettingsController, 3 );
( (Registry.as(Extensions$1.Configuration)))
    .registerConfiguration({
    ...workbenchConfigurationNodeBase,
    properties: {
        'workbench.sash.size': {
            type: 'number',
            default: isIOS ? 20 : 4,
            minimum: 1,
            maximum: 20,
            description: ( localizeWithPath(
                _moduleId,
                0,
                "Controls the feedback area size in pixels of the dragging area in between views/editors. Set it to a larger value if you feel it's hard to resize views using the mouse."
            ))
        },
        'workbench.sash.hoverDelay': {
            type: 'number',
            default: 300,
            minimum: 0,
            maximum: 2000,
            description: ( localizeWithPath(
                _moduleId,
                1,
                "Controls the hover feedback delay in milliseconds of the dragging area in between views/editors."
            ))
        },
    }
});
